---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetNullVMInit.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52E30, symBinAddr: 0x62E0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54D70, symBinAddr: 0x8220, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55160, symBinAddr: 0x8610, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56100, symBinAddr: 0x95B0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56110, symBinAddr: 0x95C0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6D810, symBinAddr: 0x20CC0, symSize: 0x0 }
  - { offsetInCU: 0x8DA9, offset: 0x8DA9, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x6D818, symBinAddr: 0x20CC8, symSize: 0x0 }
  - { offsetInCU: 0x8DBE, offset: 0x8DBE, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6D81C, symBinAddr: 0x20CCC, symSize: 0x0 }
  - { offsetInCU: 0x8DD3, offset: 0x8DD3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52990, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x8DDE, offset: 0x8DDE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52994, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x8DE9, offset: 0x8DE9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52998, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x8E2E, offset: 0x8E2E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52AE0, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8EA7, offset: 0x8EA7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52B98, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8EC5, offset: 0x8EC5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x52B9C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8EDE, offset: 0x8EDE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52BA0, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8EF7, offset: 0x8EF7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52BA4, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8F10, offset: 0x8F10, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52BA8, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8F29, offset: 0x8F29, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52BB0, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8FB2, offset: 0x8FB2, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52BC8, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FCB, offset: 0x8FCB, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52BD0, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FE4, offset: 0x8FE4, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52BD8, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FFD, offset: 0x8FFD, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52BE0, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x9017, offset: 0x9017, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52BE8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90FD, offset: 0x90FD, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x52C30, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x9165, offset: 0x9165, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xFF0, symSize: 0x80 }
  - { offsetInCU: 0x91FA, offset: 0x91FA, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xF40, symSize: 0xB0 }
  - { offsetInCU: 0x9255, offset: 0x9255, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xE40, symSize: 0x100 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1070, symSize: 0x220 }
  - { offsetInCU: 0x96CD, offset: 0x96CD, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1290, symSize: 0xA0 }
  - { offsetInCU: 0x9780, offset: 0x9780, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1330, symSize: 0x110 }
  - { offsetInCU: 0x9876, offset: 0x9876, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1440, symSize: 0x150 }
  - { offsetInCU: 0x99A7, offset: 0x99A7, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1590, symSize: 0x30 }
  - { offsetInCU: 0x9A68, offset: 0x9A68, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x15C0, symSize: 0x150 }
  - { offsetInCU: 0x9C60, offset: 0x9C60, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1710, symSize: 0x160 }
  - { offsetInCU: 0x9DEC, offset: 0x9DEC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1870, symSize: 0x1B0 }
  - { offsetInCU: 0xA007, offset: 0xA007, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1A20, symSize: 0xA0 }
  - { offsetInCU: 0xA0D6, offset: 0xA0D6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1AC0, symSize: 0x20 }
  - { offsetInCU: 0xA10D, offset: 0xA10D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1AE0, symSize: 0x20 }
  - { offsetInCU: 0xA144, offset: 0xA144, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1B00, symSize: 0x20 }
  - { offsetInCU: 0xA2B3, offset: 0xA2B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1B20, symSize: 0x1A0 }
  - { offsetInCU: 0xA5D1, offset: 0xA5D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1CC0, symSize: 0x80 }
  - { offsetInCU: 0xA69A, offset: 0xA69A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1D40, symSize: 0x6C0 }
  - { offsetInCU: 0xB210, offset: 0xB210, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAAF0, symBinAddr: 0x3660, symSize: 0xB0 }
  - { offsetInCU: 0xB287, offset: 0xB287, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2400, symSize: 0x70 }
  - { offsetInCU: 0xB323, offset: 0xB323, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2470, symSize: 0xA0 }
  - { offsetInCU: 0xB42E, offset: 0xB42E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2510, symSize: 0x40 }
  - { offsetInCU: 0xB524, offset: 0xB524, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2550, symSize: 0x2B0 }
  - { offsetInCU: 0xB8CA, offset: 0xB8CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2800, symSize: 0xC0 }
  - { offsetInCU: 0xBA10, offset: 0xBA10, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x28C0, symSize: 0x10 }
  - { offsetInCU: 0xBAD2, offset: 0xBAD2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x28D0, symSize: 0x240 }
  - { offsetInCU: 0xBDBB, offset: 0xBDBB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2B10, symSize: 0x10 }
  - { offsetInCU: 0xBE18, offset: 0xBE18, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2B20, symSize: 0x360 }
  - { offsetInCU: 0xC27E, offset: 0xC27E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA080, symBinAddr: 0x2E80, symSize: 0x10 }
  - { offsetInCU: 0xC396, offset: 0xC396, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0xA2F0, symBinAddr: 0x2E90, symSize: 0x5C0 }
  - { offsetInCU: 0xC94E, offset: 0xC94E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_setNullVMInit_JvmtiTest_check, symObjAddr: 0xA8E0, symBinAddr: 0x3450, symSize: 0x210 }
  - { offsetInCU: 0xCB64, offset: 0xCB64, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xABA0, symBinAddr: 0x3710, symSize: 0x36A }
...
